import "@paraboly/pwc-choices";
import "@paraboly/pwc-color-picker";
import { ContentItemConfig } from "../pwc-dynamic-form-field/ContentItemConfig";
export declare class PwcDynamicFormContent {
    private resolvedItems;
    private fieldRefs;
    private itemsAddedViaMethod;
    rootElement: HTMLPwcDynamicFormContentElement;
    items: string | ContentItemConfig[];
    itemsWatchHandler(items: string | ContentItemConfig[]): void;
    addItem(config: ContentItemConfig): Promise<void>;
    removeItem(id: string): Promise<void>;
    getFieldRefs(): Promise<HTMLPwcDynamicFormFieldElement[]>;
    componentWillLoad(): void;
    handleFieldRef(fieldConfig: ContentItemConfig, fieldRef: HTMLPwcDynamicFormFieldElement): void;
    constructField(fieldConfig: ContentItemConfig): any;
    render(): unknown[] | "";
}
